-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               5.6.40-log - MySQL Community Server (GPL)
-- Server OS:                    Win64
-- HeidiSQL Version:             9.5.0.5196
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping structure for view labtech.v_xr_sap_clienthealthcategories_deutsch
-- Creating temporary table to overcome VIEW dependency errors
CREATE TABLE `v_xr_sap_clienthealthcategories_deutsch` (
	`JoinID` VARCHAR(25) NOT NULL COLLATE 'utf8mb4_general_ci',
	`ClientID` INT(11) NOT NULL,
	`CheckCategoryID` INT(11) NOT NULL,
	`CheckCategoryName` VARCHAR(10) NULL COLLATE 'utf8mb4_general_ci',
	`TargetStraightScore` INT(11) NOT NULL,
	`TargetWeightedScore` INT(11) NOT NULL,
	`ScoringMethod` VARCHAR(55) NULL COLLATE 'utf8_general_ci',
	`GreenMin` DOUBLE NULL,
	`YellowMin` DOUBLE NULL,
	`YellowIsUnhealthy` VARCHAR(55) NULL COLLATE 'utf8_general_ci',
	`ReportCheckDisplayCount` VARCHAR(55) NOT NULL COLLATE 'utf8_general_ci'
) ENGINE=MyISAM;

-- Dumping structure for view labtech.v_xr_sap_clienthealthchecks_deutsch
-- Creating temporary table to overcome VIEW dependency errors
CREATE TABLE `v_xr_sap_clienthealthchecks_deutsch` (
	`JoinID` VARCHAR(25) NOT NULL COLLATE 'utf8mb4_general_ci',
	`ClientID` INT(11) NOT NULL,
	`CheckCategoryID` INT(11) NOT NULL,
	`HealthCheckGUID` CHAR(36) NOT NULL COLLATE 'utf8_general_ci',
	`CheckNameEnglish` VARCHAR(255) NOT NULL COLLATE 'utf8_general_ci',
	`CheckName` VARCHAR(28) NOT NULL COLLATE 'utf8mb4_general_ci',
	`CheckOrder` INT(11) NOT NULL,
	`GroupCheckOrder` INT(11) NOT NULL,
	`TargetStraightScore` DECIMAL(14,4) NULL,
	`TargetWeightedScore` DECIMAL(14,4) NULL,
	`TargetGroupData` VARCHAR(23) NOT NULL COLLATE 'utf8_general_ci',
	`NumChecks` BIGINT(21) NOT NULL,
	`ScoringMethod` VARCHAR(55) NULL COLLATE 'utf8_general_ci',
	`GreenMin` DOUBLE NULL,
	`YellowMin` DOUBLE NULL,
	`YellowIsUnhealthy` VARCHAR(55) NULL COLLATE 'utf8_general_ci'
) ENGINE=MyISAM;

-- Dumping structure for view labtech.v_xr_sap_standardsresults_deutsch
-- Creating temporary table to overcome VIEW dependency errors
CREATE TABLE `v_xr_sap_standardsresults_deutsch` (
	`ClientID` INT(11) NOT NULL,
	`ComputerID` BIGINT(11) NOT NULL,
	`ListName` VARCHAR(50) NOT NULL COLLATE 'utf8_general_ci',
	`ListFailed` DECIMAL(23,0) NULL,
	`ListApplied` DECIMAL(23,0) NULL
) ENGINE=MyISAM;

-- Dumping structure for view labtech.v_xr_sap_clienthealthcategories_deutsch
-- Removing temporary table and create final VIEW structure
DROP TABLE IF EXISTS `v_xr_sap_clienthealthcategories_deutsch`;
CREATE ALGORITHM=UNDEFINED DEFINER=`dvv`@`%` SQL SECURITY DEFINER VIEW `v_xr_sap_clienthealthcategories_deutsch` AS select concat('3-',`rcr`.`TargetID`,'-',`rcr`.`CheckCategoryID`) AS `JoinID`,`rcr`.`TargetID` AS `ClientID`,`rcr`.`CheckCategoryID` AS `CheckCategoryID`,elt(`rcr`.`CheckCategoryID`,'Leistung','Stabilität','Sicherheit','Unbekannt') AS `CheckCategoryName`,`rcr`.`TargetStraightScore` AS `TargetStraightScore`,`rcr`.`TargetWeightedScore` AS `TargetWeightedScore`,max((case when (`sp`.`PropertyName` = 'HowToWeighScores') then `sp`.`Value` end)) AS `ScoringMethod`,max((case when (`sp`.`PropertyName` = 'GreenMin') then (`sp`.`Value` * 100) end)) AS `GreenMin`,max((case when (`sp`.`PropertyName` = 'YellowMin') then (`sp`.`Value` * 100) end)) AS `YellowMin`,max((case when (`sp`.`PropertyName` = 'YellowIsUnhealthy') then `sp`.`Value` end)) AS `YellowIsUnhealthy`,ifnull(max((case when (`sp`.`PropertyName` = 'ReportCheckDisplayCount') then `sp`.`Value` end)),5) AS `ReportCheckDisplayCount` from (`plugin_sap_reportcategoryresults` `rcr` join `plugin_sap_properties` `sp`) where (`rcr`.`TargetType` = 3) group by `rcr`.`TargetID`,`rcr`.`CheckCategoryID`;

-- Dumping structure for view labtech.v_xr_sap_clienthealthchecks_deutsch
-- Removing temporary table and create final VIEW structure
DROP TABLE IF EXISTS `v_xr_sap_clienthealthchecks_deutsch`;
CREATE ALGORITHM=UNDEFINED DEFINER=`dvv`@`%` SQL SECURITY DEFINER VIEW `v_xr_sap_clienthealthchecks_deutsch` AS select concat('3-',`rcr`.`TargetID`,'-',`rcr`.`CheckCategoryID`) AS `JoinID`,`rcr`.`TargetID` AS `ClientID`,`rcr`.`CheckCategoryID` AS `CheckCategoryID`,`rcr`.`HealthCheckGUID` AS `HealthCheckGUID`,`rcr`.`CheckName` AS `CheckNameEnglish`,(case when (`rcr`.`CheckName` = 'Antivirus Security') then 'AV-Sicherheit' when (`rcr`.`CheckName` = 'CPU Performance') then 'CPU-Leistung' when (`rcr`.`CheckName` = 'CPU Stability') then 'CPU-Stabilität' when (`rcr`.`CheckName` = 'Drive Fragmentation') then 'Festplattenfragmentierung' when (`rcr`.`CheckName` = 'Drive Performance') then 'Festplattenleistung' when (`rcr`.`CheckName` = 'Drive Stability') then 'Festplattenstabilität' when (`rcr`.`CheckName` = 'Event Log Check') then 'Check der Ereignisprotokolle' when (`rcr`.`CheckName` = 'Memory Performance') then 'Hauptspeicherleistung' when (`rcr`.`CheckName` = 'Memory Stability') then 'Speicherstabilität' when (`rcr`.`CheckName` = 'OS Stability') then 'OS-Stabilität' when (`rcr`.`CheckName` = 'Patch Check') then 'Patch-Check' when (`rcr`.`CheckName` = 'Patch Recommended Check') then 'Patch-Check empfohlen' when (`rcr`.`CheckName` = 'Server Standard') then 'Server-Standard' when (`rcr`.`CheckName` = 'Software Check') then 'Software-Check' when (`rcr`.`CheckName` = 'Workstation Standard') then 'Arbeitsplatz-Standard' else 'Unbekannt' end) AS `CheckName`,`rcr`.`CheckOrder` AS `CheckOrder`,`rcr`.`GroupCheckOrder` AS `GroupCheckOrder`,avg(`rcr`.`TargetStraightScore`) AS `TargetStraightScore`,avg(`rcr`.`TargetWeightedScore`) AS `TargetWeightedScore`,`rcr`.`TargetGroupData` AS `TargetGroupData`,count(distinct `rcr`.`HealthCheckGUID`) AS `NumChecks`,max((case when (`sp`.`PropertyName` = 'HowToWeighScores') then `sp`.`Value` end)) AS `ScoringMethod`,max((case when (`sp`.`PropertyName` = 'GreenMin') then (`sp`.`Value` * 100) end)) AS `GreenMin`,max((case when (`sp`.`PropertyName` = 'YellowMin') then (`sp`.`Value` * 100) end)) AS `YellowMin`,max((case when (`sp`.`PropertyName` = 'YellowIsUnhealthy') then `sp`.`Value` end)) AS `YellowIsUnhealthy` from (`plugin_sap_reportcheckresults` `rcr` join `plugin_sap_properties` `sp`) where (`rcr`.`TargetType` = 3) group by `rcr`.`TargetID`,`rcr`.`CheckCategoryID`,`rcr`.`GroupCheckOrder`;

-- Dumping structure for view labtech.v_xr_sap_standardsresults_deutsch
-- Removing temporary table and create final VIEW structure
DROP TABLE IF EXISTS `v_xr_sap_standardsresults_deutsch`;
CREATE ALGORITHM=UNDEFINED DEFINER=`dvv`@`%` SQL SECURITY DEFINER VIEW `v_xr_sap_standardsresults_deutsch` AS select `cmp`.`ClientID` AS `ClientID`,0 AS `ComputerID`,(case when (`standards`.`StandardName` = 'Workstation: Operating System') then 'Workstation: Betriebssystem' when (`standards`.`StandardName` = 'Workstation: CPU') then 'Workstation: CPU' when (`standards`.`StandardName` = 'Workstation: Memory') then 'Workstation: Hauptspeicher' when (`standards`.`StandardName` = 'Workstation: Hard Drives') then 'Workstation: Festplatten' when (`standards`.`StandardName` = 'Server: Operating System') then 'Server: Betriebssystem' when (`standards`.`StandardName` = 'Server: CPU') then 'Server: CPU' when (`standards`.`StandardName` = 'Server: Memory') then 'Server: Hauptspeicher' when (`standards`.`StandardName` = 'Server: Hard Drives') then 'Server: Festplatten' when (`standards`.`StandardName` = 'Antivirus') then 'Antivirus' when (`standards`.`StandardName` = 'Exchange Server') then 'Exchange Server' when (`standards`.`StandardName` = 'SQL Server') then 'SQL Server' else 'Unbekannt' end) AS `ListName`,sum(if(((`aps`.`StandardEnabled` = 1) and (if((ifnull(`fs`.`FailedStandardId`,0) > 0),0,1) = 0) and (ifnull(`fs`.`Ignored`,0) = 0)),1,0)) AS `ListFailed`,sum(if(((`aps`.`StandardEnabled` = 1) and (ifnull(`fs`.`Ignored`,0) = 0)),1,0)) AS `ListApplied` from (((`computers` `cmp` join `plugin_sap_appliedstandards` `aps` on(((`cmp`.`ComputerID` = `aps`.`TargetId`) and (`aps`.`TargetType` = 1)))) left join `plugin_sap_failedstandards` `fs` on(((`aps`.`StandardGuid` = `fs`.`StandardGuid`) and (`aps`.`TargetId` = `fs`.`TargetId`) and (`fs`.`TargetType` = 1)))) join `plugin_sap_standards` `standards` on((`aps`.`StandardGuid` = `standards`.`StandardGuid`))) group by `cmp`.`ClientID`,`standards`.`StandardGuid` union all select `cmp`.`ClientID` AS `ClientID`,`cmp`.`ComputerID` AS `ComputerID`,`cmp`.`Name` AS `Name`,sum(if(((`aps`.`StandardEnabled` = 1) and (if((ifnull(`fs`.`FailedStandardId`,0) > 0),0,1) = 0) and (ifnull(`fs`.`Ignored`,0) = 0)),1,0)) AS `ListFailed`,sum(if(((`aps`.`StandardEnabled` = 1) and (ifnull(`fs`.`Ignored`,0) = 0)),1,0)) AS `ListApplied` from (((`computers` `cmp` join `plugin_sap_appliedstandards` `aps` on(((`cmp`.`ComputerID` = `aps`.`TargetId`) and (`aps`.`TargetType` = 1)))) left join `plugin_sap_failedstandards` `fs` on(((`aps`.`StandardGuid` = `fs`.`StandardGuid`) and (`aps`.`TargetId` = `fs`.`TargetId`) and (`fs`.`TargetType` = 1)))) join `plugin_sap_standards` `standards` on((`aps`.`StandardGuid` = `standards`.`StandardGuid`))) group by `cmp`.`ClientID`,`cmp`.`ComputerID`;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
